Subject: Bug#607298: firmware-linux-nonfree: Please include edgeport/down3.bin

From: Ben Hutchings <[email-masked]>
Date: Thu, 16 Dec 2010 21:45:00 +0000

On Thu, Dec 16, 2010 at 02:53:14PM -0600, John Goerzen wrote:
> On 12/16/2010 01:27 PM, Ben Hutchings wrote:
>> On Thu, Dec 16, 2010 at 12:35:53PM -0600, John Goerzen wrote:
>>> Package: firmware-linux-nonfree
>>> Version: 0.27
>>> Severity: wishlist
>>>
>>> The edgeport/1 firmware, specifically edgeport/down3.bin, is included
>>> in the 2.6.32 kernel.org tree but nowhere in Debian according to apt
>>> and Contents-amd64.gz.  This is needed for USB-to-serial converters.
>>
>> The licence information we have is:
>>
>> Licence: Allegedly GPLv2+, but no source visible. Marked:
>> //**************************************************************
>> //* Edgeport/4 Binary Image
>> //* Generated by HEX2C v1.06
>> //* Copyright (C) 1998 Inside Out Networks, All rights reserved.
>> //**************************************************************
>>
>> This means we do not have clear permission to distribute it.  You could
>> try talking to Inside Out Networks (which now seems to be part of Digi
>> International) about fixing this.  I have had some success with other
>> companies.
>
> Hi Ben,
>
> Over at  
> ftp://ftp1.digi.com/support/beta/linux/edgeport/edgeport-0.5-1.gz (this  
> is a tar file, despite the name), there is what appears to be this file  
> in drivers/io_fw_down3.h; though the header there is:
>
> //**************************************************************
> //* Edgeport Binary Image (for TI based products)
> //* Generated by TIBin2C v2.00 (watchport)
> //* Copyright (C) 2001 Inside Out Networks, All rights reserved.
> //**************************************************************
>
> A copy of the GPL is included in this archive as COPYING, though is not  
> explicitly referenced from this file.
>
> That file is #included solely from drivers/io_ti.c, which bears this notice:
>
> /*
>  * Edgeport USB Serial Converter driver
>  *
>  * Copyright (C) 2000-2002 Inside Out Networks, All rights reserved.
>  * Copyright (C) 2001-2002 Greg Kroah-Hartman <[email-masked]>
>  *
>  *      This program is free software; you can redistribute it and/or  
> modify
>  *      it under the terms of the GNU General Public License as  
> published by
>  *      the Free Software Foundation; either version 2 of the License, or
>  *      (at your option) any later version.
>
> drivers/Makefile.in, also explicitly under the GPL, flags it as a  
> dependency for io_ti.o as well.

Which matches what I said...

> What are your thoughts on whether that is sufficient to merit rights to  
> redistribute as part of the non-free package?

Either it's distributed under the GPL, in which case we can't redistribute
it without source, or it's distributed under some other licence, in which
case we don't know whether we can redistribute it.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus